bitel.billing.server.admin.bean

## Class ContractParameterPref

- java.lang.Object
- - bitel.billing.server.admin.bean.ContractParameterPref

-     public class ContractParameterPref
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractParameterPref()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getId()`
    `java.lang.String` | `getScript()`
    `int` | `getSort()`
    `java.lang.String` | `getTitle()`
    `int` | `getType()`
    `boolean` | `isAlwaysVisible()`
    `boolean` | `isHistory()`
    `boolean` | `isRead()`
    `boolean` | `isWrite()`
    `void` | `setAlwaysVisible(boolean alwaysVisible)`
    `void` | `setHistory(boolean history)`
    `void` | `setId(int id)`
    `void` | `setRead(boolean read)`
    `void` | `setScript(java.lang.String script)`
    `void` | `setSort(int sort)`
    `void` | `setTitle(java.lang.String title)`
    `void` | `setType(int type)`
    `void` | `setWrite(boolean write)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractParameterPref

          public ContractParameterPref()

  - ### Method Detail

    - #### getId

          public int getId()

    - #### setId

          public void setId(int id)

    - #### getType

          public int getType()

    - #### setType

          public void setType(int type)

    - #### getSort

          public int getSort()

    - #### setSort

          public void setSort(int sort)

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle(java.lang.String title)

    - #### getScript

          public java.lang.String getScript()

    - #### setScript

          public void setScript(java.lang.String script)

    - #### isHistory

          public boolean isHistory()

    - #### setHistory

          public void setHistory(boolean history)

    - #### isRead

          public boolean isRead()

    - #### setRead

          public void setRead(boolean read)

    - #### isWrite

          public boolean isWrite()

    - #### setWrite

          public void setWrite(boolean write)

    - #### isAlwaysVisible

          public boolean isAlwaysVisible()

    - #### setAlwaysVisible

          public void setAlwaysVisible(boolean alwaysVisible)